org.bouncycastle.asn1

## Class BEROctetStringGenerator

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Generator
  - - org.bouncycastle.asn1.BERGenerator
    - - org.bouncycastle.asn1.BEROctetStringGenerator

    public class BEROctetStringGenerator
    extends BERGenerator

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Generator

`_out`

### Constructor Summary

Constructors
Constructor and Description
`BEROctetStringGenerator(java.io.OutputStream out)`
`BEROctetStringGenerator(java.io.OutputStream out, int tagNo, boolean isExplicit)`

### Method Summary

Methods
`java.io.OutputStream` `getOctetOutputStream()`
`java.io.OutputStream` `getOctetOutputStream(byte[] buf)`

### Methods inherited from class org.bouncycastle.asn1.BERGenerator

`getRawOutputStream, writeBERBody, writeBEREnd, writeBERHeader`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BEROctetStringGenerator

    public BEROctetStringGenerator(java.io.OutputStream out)
                            throws java.io.IOException

Throws:
  `java.io.IOException`

#### BEROctetStringGenerator

    public BEROctetStringGenerator(java.io.OutputStream out,
                           int tagNo,
                           boolean isExplicit)
                            throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### getOctetOutputStream

    public java.io.OutputStream getOctetOutputStream()

#### getOctetOutputStream

    public java.io.OutputStream getOctetOutputStream(byte[] buf)